// $LastChangedDate: 2009-05-07 16:58:42 -0500 (Thu, 07 May 2009) $

    // Compute fog.
    float fog = exp( -uni_fogDensity * gl_FogFragCoord );
    fog = clamp( fog, 0.0, 1.0 );
    gl_FragColor.rgb = vec3( mix( uni_fogColor, gl_FragColor, fog ) );
